Altibase.jdbc.driver.ex

## Class ShardFailOverSuccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - Altibase.jdbc.driver.ex.ShardJdbcException
        - - Altibase.jdbc.driver.ex.ShardFailOverSuccessException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class ShardFailOverSuccessException
    extends ShardJdbcException

Shard 상황하에서 STF가 성공했을 때 발생함

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ShardFailOverSuccessException(java.lang.String aErrorMsg, int aErrorCode)`
`ShardFailOverSuccessException(java.lang.String aErrorMsg, int aErrorCode, java.lang.String aNodeName, java.lang.String aIpAddress, int aPort)`

### Method Summary

### Methods inherited from class Altibase.jdbc.driver.ex.ShardJdbcException

`getNodeName`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ShardFailOverSuccessException

    public ShardFailOverSuccessException(java.lang.String aErrorMsg,
                                         int aErrorCode,
                                         java.lang.String aNodeName,
                                         java.lang.String aIpAddress,
                                         int aPort)

#### ShardFailOverSuccessException

    public ShardFailOverSuccessException(java.lang.String aErrorMsg,
                                         int aErrorCode)